Loading...
Searching...
No Matches
tracepeaklist.h File Reference
`#include "tracepeak.h"`
`#include "tracedetectioninterface.h"`

Go to the source code of this file.

## Classes

class | pappso::TracePeakList

## Namespaces

namespace | pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Functions

PMSPP_LIB_DECL std::vector< TracePeak >::iterator | pappso::findBestTracePeakGivenRtList (std::vector< TracePeak >::iterator begin, std::vector< TracePeak >::iterator end, const std::vector< double > &rt_list, std::size_t &nb_peaks)
| find the best peak matching a list of retention times
PMSPP_LIB_DECL std::vector< TracePeak >::iterator | pappso::findTracePeakGivenRt (std::vector< TracePeak >::iterator begin, std::vector< TracePeak >::iterator end, double rt)
| find the peak matching a retention time